# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::RenderToken Class Reference

Internally used by the rendering engine. More...

`#include <RenderToken.hpp>`

Inheritance diagram for vl::RenderToken:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| RenderToken ()

## Public Attributes

const RenderToken * | mNextPass
Actor * | mActor
Renderable * | mRenderable
const Shader * | mShader
int | mEffectRenderRank
Real | mCameraDistance

## Detailed Description

Internally used by the rendering engine.

## Constructor & Destructor Documentation

vl::RenderToken::RenderToken | ( |  | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::RenderToken::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

## Member Data Documentation

const RenderToken* vl::RenderToken::mNextPass

Actor* vl::RenderToken::mActor

Renderable* vl::RenderToken::mRenderable

const Shader* vl::RenderToken::mShader

int vl::RenderToken::mEffectRenderRank

Real vl::RenderToken::mCameraDistance

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/RenderToken.hpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:39 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.